Cancel Trip
Trip Management’s Cancel Trip API lets you cancel a previously generated route. This will mark the trip’s status as “Canceled” and notify CoPilot to stop running the trip.
The following two variations of requests are supported for this functionality:
POST /trip/{tripId}/cancel
Resource URL
https://tripmanagement.trimblemaps.com/api/trip/{tripId}/cancel
Request Fields
| Field | Description | Type | Required |
|---|---|---|---|
tripId
| The alkTripId returned when you planned the trip.
|
integer | Yes |
POST /trip/cancel?tmstripId={tmstripId}
Resource URL
https://tripmanagement.trimblemaps.com/api/trip/cancel?tmstripId={tmstripId}
Request Fields
| Field | Description | Type | Required |
|---|---|---|---|
tmsTripId
| The trip ID (Load ID or Order number) in the TMS system. |
string | Yes |
Response Fields
Same response for both the types of requests
| Field | Description | Type |
|---|---|---|
success
| True if the route was deleted; false if not. |
boolean |
message
| Contains the reason the message was not canceled if success = false. |
string |
Sample Response
{
"success": true,
"message": null
}